# Framingfix.cisco.asa

Ignores a leading space after a line feed to work around Cisco ASA framing issues.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  Framingfix.cisco.asa

Scope:

  input

Type:

  boolean

Default:

  input=off

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Cisco very occasionally sends a space after a line feed, which thrashes framing if not taken special care of. When this parameter is set to “on”, we permit space in front of the next frame and ignore it.

## Input usage

    input(type="imptcp" framingfix.cisco.asa="...")

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.